Microwave filters GUI 2.0.3

- Main Page
- Related Pages
- Packages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
mwfiltersgui.myTableWidget Class Reference

Subclass for: More...

## Public Member Functions
def | __init__
| Table name.
def | setUnits
| Store units in self.untis, to use in TZ table headers.
def | setf0
| Set the value in Center Frequency widget as self.f0.
def | updateTableSize
| Resize rows and columns to fit contents.
def | tableCellChanged
| Table cell has been modified by user, take necessary actions.
def | addRow
| Append new row for a new zero.

## Detailed Description

Subclass for:

- reimplementation of SinzeHint and MinimumSizeHint
- Methods for tables of transmission zeros

Definition at line 813 of file mwfiltersgui.py.

## Constructor & Destructor Documentation

def mwfiltersgui.myTableWidget.__init__ | ( |  | self,
|  |  | name = `None`,
|  |  | mainDlg = `None`,
|  |  | parent = `None`
| ) |  |

Table name.

Main dialog to which this table belongs, used only where applicable. Frequency units, used only where applicable. Filter center frequency. It will be used for computation of 'f-f0' column and for autoupdate of 'Imag' and 'f-f0' colums when one of them is edited. Flag to inform that changes in table cells are due to user interaction

Definition at line 815 of file mwfiltersgui.py.

References mwfiltersgui.SpecMask.f0, mwfiltersgui.myTableWidget.f0, libcommonfunc.Sparameters.f0, libcommonfunc.FrequencyTransformBP.f0, mwfiltersgui.myTableWidget.mainDlg, mwfiltersgui.myTableWidget.name, libcommonfunc.MatrixQ.name, dbplot.CurveFamily.name, mwfiltersgui.myTableWidget.units, and mwfiltersgui.myTableWidget.updatedByUser.

## Member Function Documentation

def mwfiltersgui.myTableWidget.setf0 | ( |  | self,
|  |  | updateImag = `True`
| ) |  |

Set the value in Center Frequency widget as self.f0.

It will be used for computation of 'f-f0' column and for autoupdate of 'Imag' and 'f-f0' colums when one of them is edited.

Parameters

  updateImag,: | If updateImag is True, then the 'Imag' column of the whole table is updated according to f0 and to the f-f0 column. If updateImag is False, f0 is only stored in self.f0 and the 'Imag' column is not updated.

Definition at line 855 of file mwfiltersgui.py.

References mwfiltersgui.SpecMask.f0, mwfiltersgui.myTableWidget.f0, libcommonfunc.Sparameters.f0, libcommonfunc.FrequencyTransformBP.f0, and mwfiltersgui.SetCouplingDlg.item.

def mwfiltersgui.myTableWidget.setUnits | ( |  | self,
|  |  | units
| ) |  |

Store units in self.untis, to use in TZ table headers.

Parameters

  units | = Units string.

Definition at line 844 of file mwfiltersgui.py.

References mwfiltersgui.myTableWidget.units.

def mwfiltersgui.myTableWidget.tableCellChanged | ( |  | self,
|  |  | row,
|  |  | col
| ) |  |

Table cell has been modified by user, take necessary actions.

If Imag or Imag-f0 columns have been modified, updated the companion cell

Definition at line 892 of file mwfiltersgui.py.

References mwfiltersgui.SpecMask.f0, mwfiltersgui.myTableWidget.f0, libcommonfunc.Sparameters.f0, libcommonfunc.FrequencyTransformBP.f0, mwfiltersgui.myTableWidget.updatedByUser, and mwfiltersgui.myTableWidget.updateTableSize().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- mwfiltersgui.py